Bug 891082 - libreoffice Impress constantly crashes
Summary: libreoffice Impress constantly crashes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libcdr
Version: 18
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-01 16:05 UTC by Steve Grubb
Modified: 2013-01-18 20:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-18 20:32:05 UTC


Attachments (Terms of Use)
Backtrace from crash (12.78 KB, text/plain)
2013-01-04 21:17 UTC, Steve Grubb
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 36580 None None None Never

Description Steve Grubb 2013-01-01 16:05:34 UTC
Description of problem:
Any time I open Impress, it immediately crashes with the following on the command line:

terminate called after throwing an instance of 'libcdr::EndOfStreamException'

This is not opening a file, its opening a blank presentation to start new work on. No idea how to troubleshoot this and I really need to make a presentation. I already tried renaming .libreoffice, .openoffice2.0, and .openoffice  to something else...but no luck.

Version-Release number of selected component (if applicable):
libreoffice-core-3.6.3.2-8.fc18.x86_64

How reproducible:
Every time

Comment 1 Michael Stahl 2013-01-04 21:09:08 UTC
that sounds annoying... but i've never seen this in my 3.6 builds on F16/F17...

and it sounds very odd to get a libcdr exception on startup.

could you attach a gdb backtrace of the crash?

you can run "soffice --backtrace" which should make it easy

Comment 2 Steve Grubb 2013-01-04 21:17:18 UTC
Created attachment 672582 [details]
Backtrace from crash

Hope this sheds some light on it...

Comment 3 Michael Stahl 2013-01-04 23:58:20 UTC
so apparently Impress is doing some type detection and tries out
the CDR import filter among others.

problem is that libcdr does not catch the exception it throws...
... have fixed that in libreoffice upstream master in commit 374f7465729c98f2cc8af72f876a8eab01d192a6
and backported to libreoffice-4-0 and libreoffice-3-6 release branches.

then i noticed that libcdr upstream already contains a fix for
the bug by dtardon (commit c21b18b668b9efc0dc14257e1e43a85c1ccea807).

but apparently that is not yet in the fedora "libcdr" package,
which is used by libreoffice on Fedora and RHEL7...
...and i don't have ACLs to commit to it :(

so i can't fix this right now, will have to wait for dtardon.

Comment 4 David Tardon 2013-01-08 10:39:23 UTC
(In reply to comment #3)
> so apparently Impress is doing some type detection and tries out
> the CDR import filter among others.
> 
> problem is that libcdr does not catch the exception it throws...
> ... have fixed that in libreoffice upstream master in commit
> 374f7465729c98f2cc8af72f876a8eab01d192a6
> and backported to libreoffice-4-0 and libreoffice-3-6 release branches.
> 
> then i noticed that libcdr upstream already contains a fix for
> the bug by dtardon (commit c21b18b668b9efc0dc14257e1e43a85c1ccea807).

Yeah. I did not realize it would cause real trouble...

> 
> but apparently that is not yet in the fedora "libcdr" package,
> which is used by libreoffice on Fedora and RHEL7...
> ...and i don't have ACLs to commit to it :(

You can ask for them at
https://admin.fedoraproject.org/pkgdb/acls/name/libcdr .

> so i can't fix this right now, will have to wait for dtardon.

Done.

Comment 5 Fedora Update System 2013-01-08 10:44:43 UTC
libcdr-0.0.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libcdr-0.0.9-2.fc18

Comment 6 Steve Grubb 2013-01-08 15:03:57 UTC
The updated libcdr does fix the problem for me. Thanks!

Comment 7 Fedora Update System 2013-01-08 20:18:10 UTC
Package libcdr-0.0.9-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcdr-0.0.9-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0430/libcdr-0.0.9-2.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-18 20:32:07 UTC
libcdr-0.0.9-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.